function fore=Ascalar(data)
[parameters, ll, Ht, VCV, scores] = bekk(data,[],1,1,1,'Scalar',[],[]);
C = parameters(1:3);
%C = vec2chol(C);
C=ivech(C);
C=tril(C);
C = C*C';
A=parameters(4);
G=parameters(5);
B=parameters(6);
Htt=Ht(:,:,size(Ht,3)-1);
epsi=data(size(data,1)-1,:);
epsilon=epsi'*epsi;
aepsi=max(-epsi,0);
aepsilon=aepsi'*aepsi;
fore=C+A*epsilon*A'+G*aepsilon*G'+B*Htt*B';